Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class DelayedPriorityQueueProxy

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractQueue<E>
              java.util.PriorityQueue
                  org.apache.openjpa.util.DelayedPriorityQueueProxy

All Implemented Interfaces:
  Serializable, Iterable, Collection, Queue, DelayedProxy, Proxy, ProxyCollection

    public class DelayedPriorityQueueProxy

extends PriorityQueue
implements ProxyCollection, DelayedProxy

PriorityQueue proxy with delay loading capability. Allows non-indexed add and remove operations to occur on an unloaded collection. Operations that require a load will trigger a load.

See Also:
  Serialized Form

Constructor Summary
`DelayedPriorityQueueProxy()`
`DelayedPriorityQueueProxy(Collection paramCollection)`
`DelayedPriorityQueueProxy(int paramInt)`
`DelayedPriorityQueueProxy(int paramInt, Comparator paramComparator)`
`DelayedPriorityQueueProxy(PriorityQueue paramPriorityQueue)`
`DelayedPriorityQueueProxy(SortedSet paramSortedSet)`

Method Summary
`boolean` | `add(Object paramObject)`
`boolean` | `addAll(Collection paramCollection)`
`void` | `clear()`
`Object` | `clone()`
`void` | `closeBroker()` Close the broker that is used to service this proxy.
`boolean` | `contains(Object object)`
`boolean` | `containsAll(Collection c)`
`Object` | `copy(Object paramObject)` Return an unproxied copy of the given instance.
`Object` | `element()`
`boolean` | `equals(Object paramObject)`
`Broker` | `getBroker()` Get the broker that is used to service this proxy.
`BrokerFactory` | `getBrokerFactory()`
`ChangeTracker` | `getChangeTracker()` Return the change tracker for this proxy, or null if none.
`int` | `getDelayedField()` Returns the expected field index even if this collection was detached.
`OpenJPAStateManager` | `getDelayedOwner()` Returns a state manager that can service this proxy even if the collection was detached.
`Class` | `getElementType()` The collection element type.
`OpenJPAStateManager` | `getOwner()` Return the owning object.
`int` | `getOwnerField()` Return the owning field index.
`OpenJPAStateManager` | `getOwnerStateManager()` Returns the state manager of the owning instance.
`int` | `hashCode()`
`boolean` | `isDelayLoad()`
`boolean` | `isDetached()` Returns whether the proxy is detached.
`boolean` | `isDirectAccess()` Returns whether the caller has direct-call access to the proxied object.
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`void` | `load()` Load the proxy if it was delay-loaded.
`ProxyCollection` | `newInstance(Class paramClass, Comparator paramComparator, boolean paramBoolean1, boolean paramBoolean2)` Create a new instance of this proxy type.
`boolean` | `offer(Object paramObject)`
`Object` | `peek()`
`Object` | `poll()`
`Object` | `remove()`
`boolean` | `remove(Object paramObject)`
`boolean` | `removeAll(Collection paramCollection)`
`boolean` | `retainAll(Collection paramCollection)`
`protected void` | `setChangeTracker(CollectionChangeTracker ct)`
`void` | `setDirectAccess(boolean direct)` Sets whether the caller has direct-call access to the proxied object.
`protected void` | `setElementType(Class<?> elemType)`
`void` | `setOwner(OpenJPAStateManager paramOpenJPAStateManager, int paramInt)` Reset the state of the proxy, and set the owning instance of the proxy and the name of the field it is assigned to.
`int` | `size()`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] array)`
`protected Object` | `writeReplace()`

Methods inherited from class java.util.PriorityQueue
`comparator`

Methods inherited from class java.util.AbstractCollection
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelayedPriorityQueueProxy

    public DelayedPriorityQueueProxy(int paramInt)

### DelayedPriorityQueueProxy

    public DelayedPriorityQueueProxy(int paramInt,
                                     Comparator paramComparator)

### DelayedPriorityQueueProxy

    public DelayedPriorityQueueProxy(Collection paramCollection)

### DelayedPriorityQueueProxy

    public DelayedPriorityQueueProxy(PriorityQueue paramPriorityQueue)

### DelayedPriorityQueueProxy

    public DelayedPriorityQueueProxy(SortedSet paramSortedSet)

### DelayedPriorityQueueProxy

    public DelayedPriorityQueueProxy()

Method Detail

### setOwner

    public void setOwner(OpenJPAStateManager paramOpenJPAStateManager,
                         int paramInt)

  Description copied from interface: `Proxy`
  Reset the state of the proxy, and set the owning instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.

  Specified by:
    `setOwner` in interface `Proxy`

### getOwner

    public OpenJPAStateManager getOwner()

  Description copied from interface: `Proxy`
  Return the owning object.

  Specified by:
    `getOwner` in interface `Proxy`

### getOwnerField

    public int getOwnerField()

  Description copied from interface: `Proxy`
  Return the owning field index.

  Specified by:
    `getOwnerField` in interface `Proxy`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### getChangeTracker

    public ChangeTracker getChangeTracker()

  Description copied from interface: `Proxy`
  Return the change tracker for this proxy, or null if none.

  Specified by:
    `getChangeTracker` in interface `Proxy`

### setChangeTracker

    protected void setChangeTracker(CollectionChangeTracker ct)

### copy

    public Object copy(Object paramObject)

  Description copied from interface: `Proxy`
  Return an unproxied copy of the given instance. This method is used by proxy managers to create backup values for use in rollback.

  Specified by:
    `copy` in interface `Proxy`

### getElementType

    public Class getElementType()

  Description copied from interface: `ProxyCollection`
  The collection element type.

  Specified by:
    `getElementType` in interface `ProxyCollection`

### setElementType

    protected void setElementType(Class<?> elemType)

### newInstance

    public ProxyCollection newInstance(Class paramClass,
                                       Comparator paramComparator,
                                       boolean paramBoolean1,
                                       boolean paramBoolean2)

  Description copied from interface: `ProxyCollection`
  Create a new instance of this proxy type.

  Specified by:
    `newInstance` in interface `ProxyCollection`

### add

    public boolean add(Object paramObject)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `Queue`
  Overrides:
    `add` in class `PriorityQueue`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Overrides:
    `clear` in class `PriorityQueue`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Overrides:
    `iterator` in class `PriorityQueue`

### remove

    public boolean remove(Object paramObject)

  Specified by:
    `remove` in interface `Collection`
  Overrides:
    `remove` in class `PriorityQueue`

### poll

    public Object poll()

  Specified by:
    `poll` in interface `Queue`
  Overrides:
    `poll` in class `PriorityQueue`

### offer

    public boolean offer(Object paramObject)

  Specified by:
    `offer` in interface `Queue`
  Overrides:
    `offer` in class `PriorityQueue`

### addAll

    public boolean addAll(Collection paramCollection)

  Specified by:
    `addAll` in interface `Collection`
  Overrides:
    `addAll` in class `AbstractQueue`

### remove

    public Object remove()

  Specified by:
    `remove` in interface `Queue`
  Overrides:
    `remove` in class `AbstractQueue`

### removeAll

    public boolean removeAll(Collection paramCollection)

  Specified by:
    `removeAll` in interface `Collection`
  Overrides:
    `removeAll` in class `AbstractCollection`

### retainAll

    public boolean retainAll(Collection paramCollection)

  Specified by:
    `retainAll` in interface `Collection`
  Overrides:
    `retainAll` in class `AbstractCollection`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Throws:
    `ObjectStreamException`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Overrides:
    `size` in class `PriorityQueue`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`
  Overrides:
    `isEmpty` in class `AbstractCollection`

### contains

    public boolean contains(Object object)

  Specified by:
    `contains` in interface `Collection`
  Overrides:
    `contains` in class `PriorityQueue`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`
  Overrides:
    `toArray` in class `PriorityQueue`

### toArray

    public Object[] toArray(Object[] array)

  Specified by:
    `toArray` in interface `Collection`
  Overrides:
    `toArray` in class `PriorityQueue`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Collection`
  Overrides:
    `containsAll` in class `AbstractCollection`

### element

    public Object element()

  Specified by:
    `element` in interface `Queue`
  Overrides:
    `element` in class `AbstractQueue`

### peek

    public Object peek()

  Specified by:
    `peek` in interface `Queue`
  Overrides:
    `peek` in class `PriorityQueue`

### equals

    public boolean equals(Object paramObject)

  Specified by:
    `equals` in interface `Collection`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Overrides:
    `hashCode` in class `Object`

### getDelayedField

    public int getDelayedField()

  Description copied from interface: `DelayedProxy`
  Returns the expected field index even if this collection was detached.

  Specified by:
    `getDelayedField` in interface `DelayedProxy`
  Returns:

### getDelayedOwner

    public OpenJPAStateManager getDelayedOwner()

  Description copied from interface: `DelayedProxy`
  Returns a state manager that can service this proxy even if the collection was detached.

  Specified by:
    `getDelayedOwner` in interface `DelayedProxy`

### isDirectAccess

    public boolean isDirectAccess()

  Description copied from interface: `DelayedProxy`
  Returns whether the caller has direct-call access to the proxied object. Direct access allows calls to be made on the object without triggering a load or proxy state tracking callbacks.

  Specified by:
    `isDirectAccess` in interface `DelayedProxy`

### setDirectAccess

    public void setDirectAccess(boolean direct)

  Description copied from interface: `DelayedProxy`
  Sets whether the caller has direct-call access to the proxied object. Direct access allows calls to be made on the object without triggering a load or proxy state tracking callbacks.

  Specified by:
    `setDirectAccess` in interface `DelayedProxy`

### getBrokerFactory

    public BrokerFactory getBrokerFactory()

### load

    public void load()

  Description copied from interface: `DelayedProxy`
  Load the proxy if it was delay-loaded.

  Specified by:
    `load` in interface `DelayedProxy`

### getBroker

    public Broker getBroker()

  Description copied from interface: `DelayedProxy`
  Get the broker that is used to service this proxy.

  Specified by:
    `getBroker` in interface `DelayedProxy`

### closeBroker

    public void closeBroker()

  Description copied from interface: `DelayedProxy`
  Close the broker that is used to service this proxy.

  Specified by:
    `closeBroker` in interface `DelayedProxy`

### getOwnerStateManager

    public OpenJPAStateManager getOwnerStateManager()

  Description copied from interface: `DelayedProxy`
  Returns the state manager of the owning instance.

  Specified by:
    `getOwnerStateManager` in interface `DelayedProxy`

### isDetached

    public boolean isDetached()

  Description copied from interface: `DelayedProxy`
  Returns whether the proxy is detached.

  Specified by:
    `isDetached` in interface `DelayedProxy`
  Returns:

### isDelayLoad

    public boolean isDelayLoad()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.